// ==UserScript==
// @name         TMP_TGO to branch vendor
// @namespace    http://tampermonkey.net/
// @version      0.56
// @description  try to take over the world!
// @author       You
// @match        https://talabat.portal.restaurant/*
// ==/UserScript==

(function() {
    'use strict';
    var currect_branch = null;
    var table = {};
    table["651013"]="TGO";
	table["651012"]="TGO";
	table["651415"]="TGO";
	table["651026"]="TGO";
	table["650239"]="TGO";
	table["649941"]="TGO";
	table["649940"]="TGO";
	table["650016"]="TGO";
	table["650569"]="TGO";
	table["650972"]="TGO";
	table["651515"]="TGO";
	table["650089"]="TGO";
	table["650587"]="TGO";
	table["650170"]="TGO";
	table["650566"]="TMP";
	table["652154"]="TGO";
	table["652220"]="TGO";
	table["652813"]="TGO";
	table["651531"]="TGO";
	table["652959"]="TGO";
	table["652815"]="TGO";
	table["652738"]="TGO";
	table["652809"]="TGO";
	table["653135"]="TGO";
	table["652237"]="TGO";
	table["653234"]="TGO";
	table["652727"]="TGO";
	table["652838"]="TGO";
	table["652848"]="TGO";
	table["652756"]="TGO";
	table["652768"]="TGO";
	table["652762"]="TGO";
	table["651528"]="TGO";
	table["651851"]="TGO";
	table["651852"]="TGO";
	table["651850"]="TGO";
	table["653656"]="TGO";
	table["653674"]="TGO";
	table["665241"]="TGO";
	table["651461"]="TGO";
	table["653757"]="TGO";
	table["6522117"]="TGO";
	table["652123"]="TGO";
	table["652141"]="TGO";
	table["653767"]="TGO";
	table["653842"]="TGO";
	table["653766"]="TGO";
	table["653841"]="TGO";
	table["654643"]="TGO";
	table["653759"]="TGO";
	table["651537"]="TGO";
	table["654509"]="TGO";
	table["651578"]="TGO";
	table["653782"]="TGO";
	table["653784"]="TGO";
	table["653786"]="TGO";
	table["666322"]="TGO";
	table["653839"]="TGO";
	table["654076"]="TGO";
	table["653996"]="TGO";
	table["654459"]="TGO";
	table["653783"]="TGO";
	table["653998"]="TGO";
	table["653997"]="TGO";
	table["654500"]="TGO";
	table["654777"]="TGO";
	table["654378"]="TGO";
	table["654422"]="TGO";
	table["654948"]="TGO";
	table["654611"]="TGO";
	table["650803"]="TGO";
	table["650804"]="TGO";
	table["650805"]="TGO";
	table["650806"]="TGO";
	table["650808"]="TGO";
	table["650809"]="TGO";
	table["650900"]="TGO";
	table["650810"]="TGO";
	table["650811"]="TGO";
	table["650812"]="TGO";
	table["650820"]="TGO";
	table["650821"]="TGO";
	table["650822"]="TGO";
	table["650823"]="TGO";
	table["650824"]="TGO";
	table["650830"]="TGO";
	table["650831"]="TGO";
	table["650832"]="TGO";
	table["650833"]="TGO";
	table["650834"]="TGO";
	table["652767"]="TGO";
	table["652783"]="TGO";
	table["652974"]="TGO";
	table["653149"]="TGO";
	table["654279"]="TGO";
	table["654637"]="TGO";
	table["654673"]="TGO";
	table["654674"]="TGO";
	table["655400"]="TGO";
	table["655406"]="TGO";
	table["655405"]="TGO";
	table["654501"]="TGO";
	table["654638"]="TGO";
	table["654946"]="TGO";
	table["654999"]="TGO";
	table["655530"]="TGO";
	table["627972"]="TGO";
	table["3352"]="TMP";
	table["655595"]="TGO";
	table["655545"]="TGO";
	table["655541"]="TGO";
	table["656278"]="TGO";
	table["656193"]="TGO";
	table["42406"]="TGO";
	table["656394"]="TGO";
	table["656273"]="TGO";
	table["658746"]="TGO";
	table["658812"]="TGO";
	table["657927"]="TGO";
	table["657409"]="TGO";
	table["657408"]="TGO";
	table["657410"]="TGO";
	table["657771"]="TGO";
	table["657774"]="TGO";
	table["657775"]="TGO";
	table["657773"]="TGO";
	table["657917"]="TGO";
	table["657920"]="TGO";
	table["657922"]="TGO";
	table["657921"]="TGO";
	table["657405"]="TGO";
	table["657402"]="TGO";
	table["658066"]="TGO";
	table["658036"]="TGO";
	table["658023"]="TGO";
	table["658034"]="TGO";
	table["658022"]="TGO";
	table["657257"]="TGO";
	table["658676"]="TGO";
	table["659241"]="TGO";
	table["659187"]="TGO";
	table["659169"]="TGO";
	table["659242"]="TGO";
	table["30281"]="TGO";
	table["30280"]="TGO";
	table["660540"]="TGO";
	table["660537"]="TGO";
	table["660499"]="TGO";
	table["660539"]="TGO";
	table["660538"]="TGO";
	table["616377"]="TGO";
	table["661128"]="TGO";
	table["661140"]="TGO";
	table["661126"]="TGO";
	table["660541"]="TGO";
	table["660535"]="TGO";
	table["660674"]="TGO";
	table["660739"]="TGO";
	table["664058"]="TGO";
	table["662632"]="TGO";
	table["662848"]="TGO";
	table["662631"]="TGO";
	table["662615"]="TGO";
	table["662909"]="TGO";
	table["663312"]="TGO";
	table["662938"]="TGO";
	table["663353"]="TGO";
	table["663352"]="TGO";
	table["663351"]="TGO";
	table["663371"]="TGO";
	table["663415"]="TGO";
	table["663348"]="TGO";
	table["663370"]="TGO";
	table["662364"]="TGO";
	table["662660"]="TGO";
	table["662366"]="TMP";
	table["32104"]="TGO";
	table["47590"]="TMP";
	table["665362"]="TGO";
	table["664810"]="TGO";
	table["665252"]="TGO";
	table["665247"]="TGO";
	table["665250"]="TGO";
	table["665255"]="TGO";
	table["665251"]="TGO";
	table["665357"]="TGO";
	table["665540"]="TGO";
	table["665518"]="TGO";
	table["666313"]="TGO";
	table["665694"]="TGO";
	table["665498"]="TGO";
	table["665686"]="TGO";
	table["665689"]="TGO";
	table["665519"]="TGO";
	table["665692"]="TGO";
	table["665691"]="TGO";
	table["665690"]="TGO";
	table["665693"]="TGO";
	table["665497"]="TGO";
	table["665232"]="TGO";
	table["665226"]="TGO";
	table["665952"]="TGO";
	table["666701"]="TGO";
	table["666312"]="TGO";
	table["666575"]="TGO";
	table["666577"]="TGO";
	table["666576"]="TGO";
	table["666794"]="TGO";
	table["667127"]="TGO";
	table["667519"]="TGO";
	table["666722"]="TGO";
	table["667321"]="TGO";
	table["667322"]="TGO";
	table["43798"]="TGO";
	table["1758"]="TMP";
	table["44168"]="TGO";
	table["4368"]="TMP";
	table["607244"]="TGO";
	table["5735"]="TMP";
	table["50447"]="TGO";
	table["6559"]="TMP";
	table["600897"]="TGO";
	table["12948"]="TMP";
	table["607246"]="TGO";
	table["2085"]="TMP";
	table["44126"]="TGO";
	table["683"]="TMP";
	table["31801"]="TGO";
	table["2086"]="TMP";
	table["50445"]="TGO";
	table["1472"]="TMP";
	table["32132"]="TGO";
	table["32536"]="TMP";
	table["657113"]="TGO";
	table["51725"]="TGO";
	table["1959"]="TMP";
	table["602545"]="TGO";
	table["605549"]="TMP";
	table["44166"]="TGO";
	table["33363"]="TMP";
	table["667594"]="TGO";
	table["667596"]="TGO";
	table["667595"]="TGO";
	table["666722"]="TGO";
	table["672004"]="TGO";
	table["666106"]="TGO";
	table["629682"]="TGO";
	table["2618"]="TGO";
	table["2628"]="TGO";
	table["2994"]="TGO";
	table["2626"]="TGO";
	table["54197"]="TGO";
	table["41847"]="TGO";
	table["41848"]="TGO";
	table["41850"]="TGO";
	table["41846"]="TGO";
	table["645809"]="TGO";
	table["669094"]="TGO";
	table["668386"]="TGO";
	table["675506"]="TGO";
	table["669409"]="TGO";
	table["669461"]="TGO";
	table["669408"]="TGO";
	table["669405"]="TGO";
	table["669403"]="TGO";
	table["669402"]="TGO";
	table["669621"]="TGO";
	table["669605"]="TGO";
	table["669606"]="TGO";
	table["669618"]="TGO";
	table["669619"]="TGO";
	table["670180"]="TGO";
	table["671198"]="TGO";
	table["671202"]="TGO";
	table["670058"]="TGO";
	table["671204"]="TGO";
	table["671206"]="TGO";
	table["671368"]="TGO";
	table["671207"]="TGO";
	table["671344"]="TGO";
	table["671208"]="TGO";
	table["671205"]="TGO";
	table["671346"]="TGO";
	table["671209"]="TGO";
	table["671211"]="TGO";
	table["671214"]="TGO";
	table["671215"]="TGO";
	table["671363"]="TGO";
	table["623764"]="TGO";
	table["11318"]="TMP";
	table["623768"]="TGO";
	table["13829"]="TMP";
	table["623767"]="TGO";
	table["13832"]="TMP";
	table["623766"]="TGO";
	table["13833"]="TMP";
	table["649347"]="TGO";
	table["650286"]="TGO";
	table["671200"]="TGO";
	table["671203"]="TGO";
	table["47670"]="TGO";
	table["47672"]="TGO";
	table["47671"]="TGO";
	table["47280"]="TGO";
	table["651126"]="TGO";
	table["656039"]="TGO";
	table["674538"]="TGO";
	table["672727"]="TGO";
	table["672718"]="TGO";
	table["672726"]="TGO";
	table["673252"]="TGO";
	table["673251"]="TGO";
	table["673867"]="TGO";
	table["638299"]="TGO";
	table["638298"]="TGO";
	table["638300"]="TGO";
	table["27498"]="TGO";
	table["13312"]="TMP";
	table["603262"]="TGO";
	table["604813"]="TMP";
	table["39353"]="TGO";
	table["35677"]="TMP";
	table["27501"]="TGO";
	table["2032"]="TMP";
	table["27502"]="TGO";
	table["1717"]="TMP";
	table["27496"]="TGO";
	table["8612"]="TMP";
	table["27499"]="TGO";
	table["8610"]="TMP";
	table["27503"]="TGO";
	table["8611"]="TMP";
	table["27505"]="TGO";
	table["1670"]="TMP";
	table["27495"]="TGO";
	table["13296"]="TMP";
	table["33765"]="TGO";
	table["32799"]="TMP";
	table["42893"]="TGO";
	table["42788"]="TMP";
	table["612467"]="TGO";
	table["634786"]="TGO";
	table["643775"]="TGO";
	table["27497"]="TGO";
	table["13295"]="TMP";
	table["674540"]="TGO";
	table["674652"]="TGO";
	table["675757"]="TGO";
	table["675667"]="TGO";
	table["675125"]="TGO";
	table["675158"]="TGO";
	table["675200"]="TGO";
	table["675759"]="TGO";
	table["675753"]="TGO";
	table["675745"]="TGO";
	table["675762"]="TGO";
	table["676346"]="TGO";
	table["676035"]="TGO";
	table["604302"]="TGO";
	table["600314"]="TGO";
	table["606075"]="TGO";
	table["600316"]="TGO";
	table["600403"]="TGO";
	table["600317"]="TGO";
	table["604305"]="TGO";
	table["16796"]="TGO";
	table["604301"]="TGO";
	table["16797"]="TGO";
	table["600315"]="TGO";
	table["604304"]="TGO";
	table["30135"]="TGO";
	table["606074"]="TGO";
	table["30134"]="TGO";
	table["600404"]="TGO";
	table["600405"]="TGO";
	table["604303"]="TGO";
	table["604306"]="TGO";
	table["30132"]="TGO";
	table["30138"]="TGO";
	table["604905"]="TGO";
	table["604904"]="TGO";
	table["604914"]="TGO";
	table["16792"]="TGO";
	table["16793"]="TGO";
	table["642350"]="TGO";
	table["651084"]="TGO";
	table["643127"]="TGO";
	table["611337"]="TGO";
	table["611336"]="TGO";
	table["676269"]="TGO";
	table["676396"]="TGO";
	table["676907"]="TGO";
	table["676337"]="TGO";
    table["645351"]="TGO";
    table["645491"]="TGO";
    table["617323"]="TGO";
    table["2370"]="TMP";
    table["2356"]="TMP";
    table["617321"]="TGO";
    table["2335"]="TMP";
    table["617322"]="TGO";
    table["2371"]="TMP";
    table["617367"]="TGO";
    table["12928"]="TMP";
    table["617369"]="TGO";
    table["2336"]="TMP";
    table["617368"]="TGO";
    table["644664"]="TGO";
    table["604824"]="TGO";
    table["647787"]="TGO";
    table["649322"]="TGO";
    table["649328"]="TGO";
    table["649329"]="TGO";
    table["649324"]="TGO";
    table["649325"]="TGO";
    table["648530"]="TGO";
    table["645579"]="TGO";
    table["645616"]="TGO";
    table["645618"]="TGO";
    table["645585"]="TGO";
    table["645583"]="TGO";
    table["645582"]="TGO";
    table["645580"]="TGO";
    table["645586"]="TGO";
    table["645619"]="TGO";
    table["645620"]="TGO";
    table["645581"]="TGO";
    table["645617"]="TGO";
    table["645621"]="TGO";
    table["645578"]="TGO";
    table["625582"]="TGO";
    table["615570"]="TGO";
    table["639481"]="TGO";
    table["646553"]="TGO";
    table["646554"]="TGO";
    table["647339"]="TGO";
    table["648293"]="TGO";
    table["615569"]="TGO";
    table["646783"]="TGO";
    table["646782"]="TGO";
    table["648385"]="TGO";
    table["648303"]="TGO";
    table["649436"]="TGO";
    table["649474"]="TGO";
    table["648635"]="TGO";
    table["649297"]="TGO";
    table["649501"]="TGO";
    table["649195"]="TGO";
    table["649197"]="TMP";
    table["649194"]="TGO";
    table["649196"]="TMP";
    table["648154"]="TGO";
    table["648140"]="TMP";
    table["644965"]="TGO";
    table["645266"]="TMP";
    table["644964"]="TGO";
    table["645267"]="TMP";
    table["643559"]="TGO";
    table["643564"]="TMP";
    table["643560"]="TGO";
    table["643565"]="TMP";
    table["643561"]="TGO";
    table["643568"]="TMP";
    table["643563"]="TGO";
    table["643567"]="TMP";
    table["643562"]="TGO";
    table["643566"]="TMP";
    table["643965"]="TGO";
    table["643966"]="TMP";
    table["644137"]="TGO";
    table["643962"]="TMP";
    table["633041"]="TGO";
    table["41948"]="TGO";
    table["603884"]="TMP";
    table["41513"]="TGO";
    table["632156"]="TMP";
    table["41950"]="TGO";
    table["632158"]="TMP";
    table["41951"]="TGO";
    table["632157"]="TMP";
    table["41953"]="TGO";
    table["632160"]="TMP";
    table["41952"]="TGO";
    table["632161"]="TMP";
    table["632717"]="TGO";
    table["633037"]="TMP";
    table["643655"]="TGO";
    table["643660"]="TMP";
    table["643654"]="TGO";
    table["643659"]="TMP";
    table["643653"]="TGO";
    table["643652"]="TMP";
    table["643658"]="TGO";
    table["543663"]="TMP";
    table["643657"]="TGO";
    table["643662"]="TMP";
    table["643656"]="TGO";
    table["643661"]="TMP";
    table["643222"]="TGO";
    table["643229"]="TMP";
    table["643212"]="TGO";
    table["643225"]="TMP";
    table["643214"]="TGO";
    table["643224"]="TMP";
    table["643213"]="TGO";
    table["643223"]="TMP";
    table["643217"]="TGO";
    table["643231"]="TMP";
    table["643219"]="TGO";
    table["643232"]="TMP";
    table["643220"]="TGO";
    table["643228"]="TMP";
    table["643216"]="TGO";
    table["643226"]="TMP";
    table["643221"]="TGO";
    table["643230"]="TMP";
    table["643218"]="TGO";
    table["643227"]="TMP";
    table["643215"]="TGO";
    table["643233"]="TMP";
    table["643692"]="TGO";
    table["643703"]="TMP";
    table["643694"]="TGO";
    table["643700"]="TMP";
    table["643693"]="TGO";
    table["643698"]="TMP";
    table["643697"]="TGO";
    table["643702"]="TMP";
    table["643695"]="TGO";
    table["643699"]="TMP";
    table["643696"]="TGO";
    table["643701"]="TMP";
    table["643957"]="TGO";
    table["643963"]="TMP";
    table["643956"]="TGO";
    table["643933"]="TMP";
    table["642973"]="TGO";
    table["643722"]="TGO";
    table["643721"]="TGO";
    table["643724"]="TGO";
    table["643723"]="TGO";
    table["643715"]="TGO";
    table["643717"]="TGO";
    table["643727"]="TGO";
    table["643728"]="TGO";
    table["643730"]="TGO";
    table["643725"]="TGO";
    table["643726"]="TGO";
    table["643763"]="TGO";
    table["643760"]="TGO";
    table["643764"]="TGO";
    table["643759"]="TGO";
    table["643762"]="TGO";
    table["643761"]="TGO";
    table["643716"]="TGO";
    table["640349"]="TGO";
    table["642788"]="TGO";
    table["643732"]="TGO";
    table["643713"]="TGO";
    table["643712"]="TGO";
    table["643718"]="TGO";
    table["643719"]="TGO";
    table["643720"]="TGO";
    table["643772"]="TGO";
    table["643770"]="TGO";
    table["643771"]="TGO";
    table["33299"]="TGO";
    table["643729"]="TGO";
    table["643733"]="TGO";
    table["642756"]="TGO";
    table["643767"]="TGO";
    table["644393"]="TGO";
    table["644511"]="TGO";
    table["644510"]="TGO";
    table["644513"]="TGO";
    table["644512"]="TGO";
    table["643288"]="TGO";
    table["643298"]="TMP";
    table["643290"]="TGO";
    table["643296"]="TMP";
    table["643280"]="TGO";
    table["643300"]="TMP";
    table["643283"]="TGO";
    table["643304"]="TMP";
    table["643292"]="TGO";
    table["643305"]="TMP";
    table["643281"]="TGO";
    table["643302"]="TMP";
    table["643287"]="TGO";
    table["643299"]="TMP";
    table["643289"]="TGO";
    table["643297"]="TMP";
    table["643284"]="TGO";
    table["643301"]="TMP";
    table["643286"]="TGO";
    table["643303"]="TMP";
    table["643285"]="TGO";
    table["643295"]="TMP";
    table["643294"]="TGO";
    table["643306"]="TMP";
    table["638508"]="TGO";
    table["639571"]="TGO";
    table["639381"]="TGO";
    table["640200"]="TGO";
    table["639371"]="TGO";
    table["640198"]="TGO";
    table["640199"]="TGO";
    table["639564"]="TGO";
    table["639563"]="TGO";
    table["640203"]="TGO";
    table["640204"]="TGO";
    table["640201"]="TGO";
    table["640202"]="TGO";
    table["641666"]="TGO";
    table["641667"]="TGO";
    table["641662"]="TGO";
    table["641665"]="TGO";
    table["640870"]="TGO";
    table["640873"]="TGO";
    table["640871"]="TGO";
    table["640812"]="TGO";
    table["640872"]="TGO";
    table["638484"]="TGO";
    table["638556"]="TMP";
    table["638484"]="TGO";
    table["41950"]="TGO";
    table["632158"]="TMP";
    table["632157"]="TMP";
    table["638556"]="TMP";
    table["640067"]="TGO";
    table["621596"]="TGO";
    table["621592"]="TMP";
    table["621594"]="TGO";
    table["621590"]="TMP";
    table["621589"]="TGO";
    table["621591"]="TMP";
    table["632718"]="TGO";
    table["633040"]="TMP";
    table["632155"]="TGO";
    table["632163"]="TMP";
    table["601416"]="TGO";
    table["603901"]="TMP";
    table["601414"]="TGO";
    table["603906"]="TMP";
    table["632153"]="TGO";
    table["632159"]="TMP";
    table["632154"]="TGO";
    table["632162"]="TMP";
    table["633038"]="TGO";
    table["632716"]="TMP";
    table["631400"]="TGO";
    table["631433"]="TMP";
    table["632720"]="TGO";
    table["633036"]="TMP";
    table["637077"]="TGO";
    table["637078"]="TGO";
    table["636720"]="TGO";
    table["636681"]="TGO";
    table["29228"]="TGO";
    table["19172"]="TMP";
    table["33927"]="TGO";
    table["19662"]="TMP";
    table["7591"]="TMP";
    table["634562"]="TGO";
    table["634643"]="TGO";
    table["634406"]="TGO";
    table["634405"]="TGO";
    table["634657"]="TGO";
    table["634486"]="TGO";
    table["635461"]="TGO";
    table["634649"]="TGO";
    table["634660"]="TGO";
    table["634661"]="TGO";
    table["634758"]="TGO";
    table["635283"]="TGO";
    table["635388"]="TGO";
    table["635391"]="TGO";
    table["635389"]="TGO";
    table["635392"]="TGO";
    table["635395"]="TGO";
    table["635393"]="TGO";
    table["635394"]="TGO";
    table["635366"]="TGO";
    table["635372"]="TGO";
    table["635369"]="TGO";
    table["635367"]="TGO";
    table["635371"]="TGO";
    table["635225"]="TGO";
    table["634404"]="TGO";
    table["635277"]="TGO";
    table["635227"]="TGO";
    table["636625"]="TGO";
    table["636429"]="TGO";
    table["636916"]="TGO";
    table["636915"]="TGO";
    table["636917"]="TGO";
    table["636171"]="TGO";
    table["636623"]="TGO";
    table["637076"]="TGO";
    table["631985"]="TGO";
    table["631991"]="TGO";
    table["631981"]="TGO";
    table["631971"]="TGO";
    table["631975"]="TGO";
    table["631978"]="TGO";
    table["630282"]="TGO";
    table["630262"]="TGO";
    table["631708"]="TGO";
    table["631545"]="TGO";
    table["631543"]="TGO";
    table["631582"]="TGO";
    table["631541"]="TGO";
    table["631544"]="TGO";
    table["631556"]="TGO";
    table["631833"]="TGO";
    table["631995"]="TGO";
    table["632002"]="TGO";
    table["632003"]="TGO";
    table["633593"]="TGO";
    table["633539"]="TGO";
    table["633538"]="TGO";
    table["634326"]="TGO";
    table["633534"]="TGO";
    table["633733"]="TGO";
    table["633713"]="TGO";
    table["633737"]="TGO";
    table["633732"]="TGO";
    table["633712"]="TGO";
    table["633715"]="TGO";
    table["633730"]="TGO";
    table["633688"]="TGO";
    table["633726"]="TGO";
    table["633727"]="TGO";
    table["633734"]="TGO";
    table["633690"]="TGO";
    table["633731"]="TGO";
    table["633736"]="TGO";
    table["633728"]="TGO";
    table["46861"]="TGO";
    table["633687"]="TGO";
    table["633724"]="TGO";
    table["633725"]="TGO";
    table["623612"]="TGO";
    table["623614"]="TGO";
    table["625387"]="TGO";
    table["626781"]="TGO";
    table["631721"]="TGO";
    table["631696"]="TGO";
    table["631699"]="TGO";
    table["631700"]="TGO";
    table["631701"]="TGO";
    table["631702"]="TGO";
    table["630514"]="TGO";
    table["631227"]="TGO";
    table["630500"]="TGO";
    table["628252"]="TGO";
    table["630496"]="TGO";
    table["630499"]="TGO";
    table["628155"]="TGO";
    table["630506"]="TGO";
    table["631513"]="TGO";
    table["630807"]="TGO";
    table["631559"]="TGO";
    table["631560"]="TGO";
    table["629479"]="TGO";
    table["629478"]="TMP";
    table["629475"]="TGO";
    table["629480"]="TMP";
    table["629477"]="TGO";
    table["629481"]="TMP";
    table["629482"]="TGO";
    table["629476"]="TMP";
    table["630498"]="TGO";
    table["630501"]="TGO";
    table["630504"]="TGO";
    table["630503"]="TGO";
    table["630502"]="TGO";
    table["630268"]="TGO";
    table["630475"]="TGO";
    table["630476"]="TGO";
    table["630507"]="TGO";
    table["630549"]="TGO";
    table["630477"]="TGO";
    table["619185"]="TGO";
    table["619369"]="TMP";
    table["619184"]="TGO";
    table["619371"]="TMP";
    table["619181"]="TGO";
    table["619368"]="TMP";
    table["619190"]="TGO";
    table["619207"]="TMP";
    table["619189"]="TGO";
    table["619210"]="TMP";
    table["619179"]="TGO";
    table["619209"]="TMP";
    table["619209"]="TMP";
    table["619183"]="TGO";
    table["619370"]="TMP";
    table["619191"]="TGO";
    table["619208"]="TMP";
    table["620386"]="TGO";
    table["620390"]="TMP";
    table["620389"]="TGO";
    table["620393"]="TMP";
    table["620388"]="TGO";
    table["620392"]="TMP";
    table["620387"]="TGO";
    table["620391"]="TMP";
    table["622965"]="TGO";
    table["622966"]="TMP";
    table["623214"]="TGO";
    table["625390"]="TGO";
    table["625381"]="TGO";
    table["625769"]="TGO";
    table["626781"]="TGO";
    table["627172"]="TGO";
    table["626757"]="TGO";
    table["627171"]="TGO";
    table["627169"]="TGO";
    table["627170"]="TGO";
    table["626758"]="TGO";
    table["626759"]="TGO";
    table["628155"]="TGO";
    table["628259"]="TGO";
    table["628260"]="TGO";
    table["629691"]="TGO";
    table["629851"]="TGO";
    table["627687"]="TGO";
    table["622262"]="TGO";
    table["617115"]="TGO";
    table["623220"]="TGO";
    table["622260"]="TGO";
    table["626779"]="TGO";
    table["626530"]="TGO";
    table["626775"]="TGO";
    table["626776"]="TGO";
    table["626777"]="TGO";
    table["626773"]="TGO";
    table["626774"]="TGO";
    table["626772"]="TGO";
    table["626758"]="TGO";
    table["626780"]="TGO";
    table["626461"]="TGO";
    table["626788"]="TGO";
    table["619940"]="TGO";
    table["619941"]="TGO";
    table["618964"]="TGO";
    table["618966"]="TGO";
    table["623217"]="TGO";
    table["622254"]="TGO";
    table["622256"]="TGO";
    table["623227"]="TGO";
	table["623609"]="TGO";
    table["623611"]="TGO";
    table["625385"]="TGO";
    table["625386"]="TGO";
    table["618480"]="TGO";
    table["618961"]="TGO";
    table["618959"]="TGO";
    table["621207"]="TGO";
    table["621205"]="TGO";
    table["621206"]="TGO";
    table["619017"]="TGO";
    table["618963"]="TGO";
    table["619594"]="TGO";
	table["621213"]="TGO";
    table["619754"]="TGO";
    table["619669"]="TGO";
    table["621115"]="TGO";
    table["619017"]="TGO";
    table["618963"]="TGO";
    table["618959"]="TGO";
    table["618961"]="TGO";
    table["618964"]="TGO";
    table["618969"]="TGO";
    table["618966"]="TGO";
    table["601007"]="TGO";
    table["601009"]="TMP";
    table["616786"]="TGO";
    table["616887"]="TGO";
    table["616530"]="TGO";
    table["616531"]="TMP";
    table["616528"]="TGO";
    table["616529"]="TMP";
    table["616802"]="TGO";
    table["616882"]="TGO";
    table["616776"]="TGO";
    table["41757"]="TGO";
    table["603885"]="TMP";
    table["604927"]="TGO";
    table["604928"]="TMP";
    table["616601"]="TGO";
    table["616605"]="TMP";
    table["616602"]="TGO";
    table["616607"]="TMP";
    table["616598"]="TGO";
    table["616603"]="TMP";
    table["616600"]="TGO";
    table["616608"]="TMP";
    table["616591"]="TGO";
    table["616594"]="TMP";
    table["616593"]="TGO";
    table["616595"]="TMP";
    table["616592"]="TGO";
    table["616596"]="TMP";
    table["616523"]="TGO";
    table["616524"]="TMP";
    table["43781"]="TGO";
    table["49980"]="TMP";
    table["51188"]="TGO";
    table["603912"]="TMP";
    table["616331"]="TGO";
    table["616365"]="TMP";
    table["616469"]="TGO";
    table["616470"]="TMP";
    table["616377"]="TGO";
    table["616378"]="TMP";
    table["616455"]="TGO";
    table["616456"]="TMP";
    table["616372"]="TGO";
    table["616373"]="TMP";
    table["616368"]="TGO";
    table["616369"]="TMP";
    table["616468"]="TGO";
    table["616336"]="TGO";
    table["616339"]="TMP";
    table["616332"]="TGO";
    table["616338"]="TMP";
    table["616333"]="TGO";
    table["616337"]="TMP";
    table["616334"]="TGO";
    table["616340"]="TMP";
    table["46658"]="TGO";
    table["603892"]="TMP";
    table["46656"]="TGO";
    table["603894"]="TMP";
    table["46659"]="TGO";
    table["603895"]="TMP";
    table["46145"]="TGO";
    table["603849"]="TMP";
    table["46147"]="TGO";
    table["603850"]="TMP";
    table["46148"]="TGO";
    table["603851"]="TMP";
    table["46146"]="TGO";
    table["607544"]="TMP";
    table["614996"]="TGO";
    table["615022"]="TMP";
    table["615019"]="TGO";
    table["615028"]="TMP";
    table["614761"]="TGO";
    table["614766"]="TMP";
    table["614762"]="TGO";
    table["614765"]="TMP";
    table["614760"]="TGO";
    table["614764"]="TMP";
    table["614759"]="TGO";
    table["614763"]="TMP";
    table["614776"]="TGO";
    table["614781"]="TMP";
    table["614778"]="TGO";
    table["614780"]="TMP";
    table["614777"]="TGO";
    table["614782"]="TMP";
    table["614775"]="TGO";
    table["614779"]="TMP";
    table["614768"]="TGO";
    table["614772"]="TMP";
    table["614769"]="TGO";
    table["614771"]="TMP";
    table["614770"]="TGO";
    table["614773"]="TMP";
    table["614767"]="TGO";
    table["614774"]="TMP";
    table["602390"]="TGO";
    table["603862"]="TMP";
    table["602392"]="TGO";
    table["603863"]="TMP";
    table["602389"]="TGO";
    table["603864"]="TMP";
    table["602391"]="TGO";
    table["603865"]="TMP";
    table["43039"]="TGO";
    table["603888"]="TMP";
    table["43038"]="TGO";
    table["603886"]="TMP";
    table["43040"]="TGO";
    table["603839"]="TMP";
    table["613973"]="TGO";
    table["613974"]="TMP";
    table["614545"]="TGO";
    table["614546"]="TMP";
    table["614542"]="TGO";
    table["614543"]="TMP";
    table["614031"]="TGO";
    table["614030"]="TMP";
    table["614129"]="TGO";
    table["614130"]="TMP";
    table["613945"]="TGO";
    table["613946"]="TMP";
    table["613971"]="TGO";
    table["613964"]="TMP";
    table["613952"]="TGO";
    table["613947"]="TMP";
    table["613950"]="TGO";
    table["613951"]="TMP";
    table["613991"]="TGO";
    table["613995"]="TMP";
    table["613955"]="TGO";
    table["613957"]="TMP";
    table["613956"]="TGO";
    table["613958"]="TMP";
    table["614541"]="TGO";
    table["614544"]="TMP";
    table["614567"]="TGO";
    table["614589"]="TMP";
    table["614574"]="TGO";
    table["614597"]="TMP";
    table["614585"]="TGO";
    table["614593"]="TMP";
    table["614577"]="TGO";
    table["614594"]="TMP";
    table["614581"]="TGO";
    table["614591"]="TMP";
    table["614572"]="TGO";
    table["614590"]="TMP";
    table["614534"]="TGO";
    table["614535"]="TMP";
    table["614120"]="TGO";
    table["614121"]="TMP";
    table["614138"]="TGO";
    table["614137"]="TMP";
    table["604456"]="TGO";
    table["604726"]="TMP";
    table["44619"]="TGO";
    table["38207"]="TGO";
    table["29129"]="TGO";
    table["29130"]="TGO";
    table["29128"]="TGO";
    table["613767"]="TGO";
    table["613768"]="TMP";
    table["50892"]="TGO";
    table["603903"]="TMP";
    table["50893"]="TGO";
    table["603908"]="TMP";
    table["50891"]="TGO";
    table["603904"]="TMP";
    table["50894"]="TGO";
    table["603902"]="TMP";
    table["41750"]="TGO";
    table["603829"]="TMP";
    table["39077"]="TGO";
    table["604863"]="TMP";
    table["39080"]="TGO";
    table["603828"]="TMP";
    table["612628"]="TGO";
    table["612631"]="TMP";
    table["612629"]="TGO";
    table["612632"]="TMP";
    table["612627"]="TGO";
    table["612633"]="TMP";
    table["612626"]="TGO";
    table["612630"]="TMP";
    table["612611"]="TGO";
    table["612616"]="TMP";
    table["612614"]="TGO";
    table["612617"]="TMP";
    table["612613"]="TGO";
    table["612615"]="TMP";
    table["612610"]="TGO";
    table["612612"]="TMP";
    table["45699"]="TGO";
    table["603843"]="TMP";
    table["45701"]="TGO";
    table["603907"]="TMP";
    table["45698"]="TGO";
    table["603844"]="TMP";
    table["45700"]="TGO";
    table["603845"]="TMP";
    table["35425"]="TGO";
    table["606656"]="TMP";
    table["36304"]="TGO";
    table["604033"]="TMP";
    table["36954"]="TGO";
    table["604853"]="TMP";
    table["41760"]="TGO";
    table["604849"]="TMP";
    table["41512"]="TGO";
    table["606653"]="TMP";
    table["41754"]="TGO";
    table["604871"]="TMP";
    table["34067"]="TGO";
    table["603818"]="TMP";
    table["612661"]="TGO";
    table["612662"]="TMP";
    table["612703"]="TGO";
    table["612705"]="TMP";
    table["612702"]="TGO";
    table["612704"]="TMP";
    table["612734"]="TGO";
    table["612736"]="TMP";
    table["612735"]="TGO";
    table["612737"]="TMP";
    table["612659"]="TGO";
    table["612660"]="TMP";
    table["612656"]="TGO";
    table["612657"]="TMP";
    table["44707"]="TGO";
    table["603841"]="TMP";
    table["44704"]="TGO";
    table["603840"]="TMP";
    table["44705"]="TGO";
    table["603889"]="TMP";
    table["44706"]="TGO";
    table["603842"]="TMP";
    table["39076"]="TGO";
    table["603825"]="TMP";
    table["39079"]="TGO";
    table["603823"]="TMP";
    table["39078"]="TGO";
    table["603822"]="TMP";
    table["41747"]="TGO";
    table["603824"]="TMP";
    table["601413"]="TGO";
    table["603905"]="TMP";
    table["601415"]="TGO";
    table["603900"]="TMP";
    table["40876"]="TGO";
    table["603833"]="TMP";
    table["41751"]="TGO";
    table["604850"]="TMP";
    table["35976"]="TGO";
    table["606655"]="TMP";
    table["36308"]="TGO";
    table["606654"]="TMP";
    table["36955"]="TGO";
    table["603872"]="TMP";
    table["41748"]="TGO";
    table["604858"]="TMP";
    table["603382"]="TGO";
    table["603391"]="TMP";
    table["603384"]="TGO";
    table["603390"]="TMP";
    table["603383"]="TGO";
    table["603389"]="TMP";
    table["33987"]="TGO";
    table["603819"]="TMP";
    table["36305"]="TGO";
    table["603820"]="TMP";
    table["36958"]="TGO";
    table["603821"]="TMP";
    table["41746"]="TGO";
    table["604851"]="TMP";
    table["50367"]="TGO";
    table["603897"]="TMP";
    table["50369"]="TGO";
    table["603899"]="TMP";
    table["50370"]="TGO";
    table["603898"]="TMP";
    table["50368"]="TGO";
    table["603896"]="TMP";
    table["608790"]="TGO";
    table["608792"]="TMP";
    table["605225"]="TGO";
    table["605227"]="TMP";
    table["50661"]="TGO";
    table["606631"]="TMP";
    table["606629"]="TGO";
    table["606630"]="TMP";
    table["605322"]="TGO";
    table["605324"]="TMP";
    table["605512"]="TMP";
    table["608702"]="TGO";
    table["608703"]="TMP";
    table["608722"]="TGO";
    table["608723"]="TMP";
    table["606813"]="TGO";
    table["606814"]="TMP";
    table["606790"]="TGO";
    table["606791"]="TMP";
    table["607521"]="TGO";
    table["607520"]="TMP";
    table["33983"]="TGO";
    table["603866"]="TMP";
    table["36311"]="TGO";
    table["603867"]="TMP";
    table["41741"]="TGO";
    table["604852"]="TMP";
    table["48101"]="TGO";
    table["603852"]="TMP";
    table["34066"]="TGO";
    table["603873"]="TMP";
    table["36306"]="TGO";
    table["603871"]="TMP";
    table["37089"]="TGO";
    table["604857"]="TMP";
    table["41758"]="TGO";
    table["604861"]="TMP";
    table["33986"]="TGO";
    table["603879"]="TMP";
    table["36309"]="TGO";
    table["603878"]="TMP";
    table["37088"]="TGO";
    table["603877"]="TMP";
    table["41755"]="TGO";
    table["604900"]="TMP";
    table["603133"]="TGO";
    table["603290"]="TMP";
    table["603419"]="TGO";
    table["606884"]="TMP";
    table["603991"]="TGO";
    table["603992"]="TMP";
    table["605292"]="TGO";
    table["605294"]="TMP";
    table["603534"]="TMP";
    table["23596"]="TGO";
    table["22601"]="TGO";
    table["49842"]="TMP";
    table["28124"]="TGO";
    table["47574"]="TMP";
    table["22639"]="TGO";
    table["49971"]="TMP";
    table["35322"]="TGO";
    table["49101"]="TGO";
    table["603532"]="TMP";
    table["603541"]="TMP";
    table["603533"]="TGO";
    table["43801"]="TGO";
    table["47230"]="TGO";
    table["603396"]="TMP";
    table["25235"]="TMP";
    table["605501"]="TGO";
    table["605503"]="TMP";
    table["605522"]="TGO";
    table["605523"]="TMP";
    table["607489"]="TGO";
    table["607490"]="TMP";
    table["607491"]="TGO";
    table["607492"]="TMP";
    table["604722"]="TMP";
    table["606541"]="TGO";
    table["606542"]="TMP";
    table["606543"]="TGO";
    table["606544"]="TMP";
    table["606538"]="TGO";
    table["606539"]="TMP";
    table["607494"]="TGO";
    table["607496"]="TMP";
    table["27490"]="TGO";
    table["23598"]="TGO";
    table["601030"]="TGO";
    table["603544"]="TMP";
    table["603546"]="TMP";
    table["603545"]="TMP";
    table["600949"]="TGO";
    table["601016"]="TGO";
    table["603549"]="TMP";
    table["603521"]="TMP";
    table["603522"]="TMP";
    table["601060"]="TGO";
    table["601059"]="TGO";
    table["601058"]="TGO";
    table["603531"]="TMP";
    table["603525"]="TMP";
    table["603526"]="TMP";
    table["605221"]="TMP";
    table["46867"]="TGO";
    table["603553"]="TMP";
    table["600689"]="TGO";
    table["603554"]="TMP";
    table["600690"]="TGO";
    table["604972"]="TMP";
    table["604507"]="TMP";
    table["605573"]="TMP";
    table["605572"]="TGO";
    table["605520"]="TMP";
    table["605519"]="TGO";
    table["602678"]="TMP";
    table["602677"]="TGO";
    table["605515"]="TGO";
    table["605517"]="TMP";
    table["607488"]="TMP";
    table["603537"]="TMP";
    table["603509"]="TMP";
    table["603411"]="TGO";
    table["604455"]="TGO";
    table["604721"]="TMP";
    table["605523"]="TMP";
    table["605522"]="TGO";
    table["50661"]="TGO";
    table["606631"]="TMP";
    table["606630"]="TMP";
    table["606629"]="TGO";
    table["46871"]="TGO";
    table["46874"]="TGO";
    table["46879"]="TGO";
    table["46869"]="TGO";
    table["605511"]="TGO";
    table["35977"]="TGO";
    table["603881"]="TMP";
    table["36307"]="TGO";
    table["603882"]="TMP";
    table["37087"]="TGO";
    table["604856"]="TMP";
    table["41759"]="TGO";
    table["604860"]="TMP";
    table["601050"]="TGO";
    table["600693"]="TGO";
    table["606540"]="TMP";
    table["603562"]="TMP";
    table["601930"]="TGO";
    table["603462"]="TGO";
    table["603555"]="TMP";
    table["603557"]="TMP";
    table["603552"]="TMP";
    table["602675"]="TGO";
    table["603993"]="TGO";
    table["604032"]="TMP";
    table["604035"]="TGO";
    table["604036"]="TMP";
    table["600225"]="TGO";
    table["603418"]="TMP";
    table["603407"]="TGO";
    table["603535"]="TMP";
    table["603397"]="TGO";
    table["600056"]="TGO";
    table["46187"]="TGO";
    table["600459"]="TGO";
    table["604723"]="TMP";
    table["603512"]="TMP";
    table["603513"]="TMP";
    table["603511"]="TMP";
    table["601028"]="TGO";
    table["46867"]="TGO";
    table["605221"]="TMP";
    table["605029"]="TMP";
    table["604789"]="TGO";
    table["604788"]="TMP";
    table["604728"]="TGO";
    table["604730"]="TMP";
    table["600466"]="TGO";
    table["601048"]="TGO";
    table["37976"]="TMP";
    table["600460"]="TGO";
    table["600467"]="TGO";
    table["603399"]="TGO";
    table["603406"]="TMP";
    table["600950"]="TGO";
    table["603461"]="TGO";
    table["603556"]="TMP";
    table["601056"]="TGO";
    table["600458"]="TGO";
    table["600464"]="TGO";
    table["38190"]="TMP";
    table["605222"]="TGO";
    table["602404"]="TGO";
    table["601052"]="TGO";
    table["601053"]="TGO";
    table["601049"]="TGO";
    table["601054"]="TGO";
    table["600686"]="TGO";
    table["601051"]="TGO";
    table["600256"]="TGO";
    table["44368"]="TMP";
    table["28126"]="TGO";
    table["50183"]="TMP";
    table["38161"]="TGO";
    table["38661"]="TGO";
    table["50187"]="TMP";
    table["50184"]="TMP";
    table["30964"]="TGO";
    table["49844"]="TMP";
    table["36202"]="TGO";
    table["25148"]="TGO";
    table["28533"]="TGO";
    table["50171"]="TMP";
    table["25149"]="TGO";
    table["47773"]="TMP";
    table["25150"]="TGO";
    table["44197"]="TGO";
    table["49509"]="TMP";
    table["600994"]="TMP";
    table["600993"]="TMP";
    table["600991"]="TMP";
    table["601023"]="TMP";
    table["44197"]="TGO";
    table["47572"]="TMP";
    table["46878"]="TGO";
    table["601024"]="TMP";
    table["46862"]="TGO";
    table["600992"]="TMP";
    table["46863"]="TGO";
    table["49315"]="TGO";
    table["600996"]="TMP";
    table["601022"]="TMP";
    table["49308"]="TGO";
    table["601019"]="TMP";
    table["46866"]="TGO";
    table["601020"]="TMP";
    table["49328"]="TGO";
    table["600990"]="TMP";
    table["50881"]="TGO";
    table["51262"]="TGO";
    table["601018"]="TMP";
    table["603563"]="TGO";
    table["601061"]="TMP";
    table["602428"]="TMP";
    table["602426"]="TGO";
    table["601021"]="TMP";
    table["49309"]="TGO";
    table["47783"]="TMP";
    table["49978"]="TMP";
    table["29851"]="TGO";
    table["30390"]="TGO";
    table["37797"]="TMP";
    table["47374"]="TMP";
    table["32094"]="TGO";
    table["47376"]="TMP";
    table["28305"]="TGO";
    table["47375"]="TMP";
    table["30367"]="TGO";
    table["27240"]="TMP";
    table["32723"]="TGO";
    table["37774"]="TMP";
    table["28969"]="TGO";
    table["37978"]="TMP";
    table["28971"]="TGO";
    table["37977"]="TMP";
    table["28968"]="TGO";
    table["32096"]="TGO";
    table["47589"]="TMP";
    table["28970"]="TGO";
    table["47565"]="TMP";
    table["28493"]="TGO";
    table["49841"]="TMP";
    table["29809"]="TGO";
    table["36148"]="TMP";
    table["22606"]="TGO";
    table["22632"]="TGO";
    table["42046"]="TMP";
    table["23598"]="TGO";
    table["47777"]="TMP";
    table["32106"]="TGO";
    table["47596"]="TMP";
    table["24435"]="TGO";
    table["47583"]="TMP";
    table["36253"]="TGO";
    table["36175"]="TMP";
    table["36176"]="TGO";
    table["42077"]="TMP";
    table["36242"]="TGO";
    table["47769"]="TMP";
    table["47571"]="TMP";
    table["33925"]="TGO";
    table["28483"]="TGO";
    table["29882"]="TGO";
    table["37802"]="TMP";
    table["22602"]="TGO";
    table["42222"]="TMP";
    table["22634"]="TGO";
    table["42100"]="TMP";
    table["23599"]="TGO";
    table["47760"]="TMP";
    table["32101"]="TGO";
    table["47599"]="TMP";
    table["24443"]="TGO";
    table["47584"]="TMP";
    table["44469"]="TGO";
    table["49848"]="TMP";
    table["44468"]="TGO";
    table["48457"]="TMP";
    table["43488"]="TGO";
    table["43487"]="TGO";
    table["49975"]="TMP";
    table["44470"]="TGO";
    table["47782"]="TMP";
    table["44467"]="TGO";
    table["47592"]="TMP";
    table["43767"]="TGO";
    table["47576"]="TMP";
    table["31294"]="TGO";
    table["36077"]="TGO";
    table["32740"]="TMP";
    table["34467"]="TGO";
    table["34468"]="TMP";
    table["35176"]="TGO";
    table["35175"]="TMP";
    table["32098"]="TGO";
    table["39443"]="TMP";
    table["30248"]="TGO";
    table["47587"]="TMP";
    table["22605"]="TMP";
    table["28129"]="TMP";
    table["37803"]="TGO";
    table["42229"]="TGO";
    table["23590"]="TMP";
    table["32105"]="TGO";
    table["42045"]="TGO";
    table["60025"]="TGO";
    table["47600"]="TMP";
    table["22636"]="TMP";
    table["29811"]="TMP";
    table["49639"]="TMP";
    table["30948"]="TGO";
    table["36210"]="TGO";
    table["32739"]="TGO";
    table["42095"]="TMP";
    table["47774"]="TMP";
    table["39341"]="TGO";
    table["39445"]="TMP";
    table["50189"]="TMP";
    table["49846"]="TMP";
    table["38283"]="TGO";
    table["38282"]="TGO";
    table["48456"]="TMP";
    table["47582"]="TMP";
    table["38285"]="TGO";
    table["39340"]="TGO";
    table["39342"]="TGO";
    table["37853"]="TGO";
    table["47593"]="TMP";
    table["49972"]="TMP";
    table["47577"]="TMP";
    table["26531"]="TMP";
    table["47766"]="TMP";
    table["37709"]="TGO";
    table["27466"]="TGO";
    table["46090"]="TGO";
    table["38200"]="TGO";
    table["50578"]="TGO";
    table["50579"]="TMP";
    table["22635"]="TGO";
    table["22603"]="TGO";
    table["24442"]="TGO";
    table["23600"]="TGO";
    table["49839"]="TMP";
    table["42048"]="TMP";
    table["47759"]="TMP";
    table["47588"]="TMP";
    table["45756"]="TGO";
    table["38205"]="TGO";
    table["50176"]="TMP";
    table["37711"]="TGO";
    table["47778"]="TMP";
    table["49845"]="TMP";
    table["38203"]="TGO";
    table["24031"]="TMP";
    table["29810"]="TMP";
    table["29854"]="TGO";
    table["29814"]="TMP";
    table["22630"]="TGO";
    table["50181"]="TMP";
    table["23597"]="TGO";
    table["32078"]="TGO";
    table["47779"]="TMP";
    table["24467"]="TGO";
    table["47580"]="TMP";
    table["18782"]="TMP";
    table["48452"]="TMP";
    table["29883"]="TGO";
    table["22608"]="TGO";
    table["49840"]="TMP";
    table["47595"]="TMP";
    table["28845"]="TGO";
    table["42047"]="TMP";
    table["47768"]="TMP";
    table["49479"]="TMP";
    table["34165"]="TGO";
    table["38611"]="TGO";
    table["36448"]="TGO";
    table["36449"]="TGO";
    table["22617"]="TGO";
    table["22616"]="TGO";
    table["22615"]="TGO";
    table["50166"]="TMP";
    table["47776"]="TMP";
    table["47579"]="TMP";
    table["22613"]="TMP";
    table["47586"]="TMP";
    table["46172"]="TGO";
    table["46177"]="TGO";
    table["50193"]="TMP";
    table["47757"]="TMP";
    table["46176"]="TGO";
    table["49512"]="TMP";
    table["46175"]="TGO";
    table["46174"]="TGO";
    table["46178"]="TGO";
    table["48459"]="TMP";
    table["47575"]="TMP";
    table["46173"]="TGO";
    table["48039"]="TMP";
    table["49482"]="TMP";
    table["38288"]="TGO";
    table["32877"]="TGO";
    table["42096"]="TMP";
    table["36035"]="TGO";
    table["44623"]="TGO";
    table["26809"]="TMP";
    table["44625"]="TGO";
    table["47780"]="TMP";
    table["46197"]="TGO";
    table["26810"]="TMP";
    table["44621"]="TGO";
    table["29011"]="TMP";
    table["44624"]="TGO";
    table["28010"]="TMP";
    table["44620"]="TGO";
    table["47594"]="TMP";
    table["44619"]="TGO";
    table["29853"]="TMP";
    table["50180"]="TMP";
    table["43781"]="TGO";
    table["47229"]="TMP";
    table["47756"]="TMP";
    table["47228"]="TGO";
    table["44638"]="TGO";
    table["53906"]="TGO";
    table["53908"]="TMP";
    table["47190"]="TGO";
    table["49099"]="TGO";
    table["28125"]="TGO";
    table["32104"]="TGO";
    table["30368"]="TGO";
    table["29860"]="TGO";
    table["47568"]="TMP";
    table["30348"]="TGO";
    table["30212"]="TMP";
    table["47573"]="TMP";
    table["50587"]="TMP";
    table["49857"]="TGO";
    table["50586"]="TMP";
    table["50597"]="TMP";
    table["49859"]="TGO";
    table["49856"]="TGO";
    table["49858"]="TGO";
    table["50596"]="TMP";
    table["37710"]="TGO";
    table["50186"]="TMP";
    table["38206"]="TMP";
    table["37716"]="TGO";
    table["49973"]="TMP";
    table["26471"]="TMP";
    table["47569"]="TMP";
    table["27471"]="TGO";
    table["29129"]="TGO";
    table["29130"]="TGO";
    table["29128"]="TGO";
    table["47772"]="TMP";
    table["29481"]="TGO";
    table["49843"]="TMP";
    table["47755"]="TMP";
    table["41020"]="TGO";
    table["22611"]="TMP";
    table["22609"]="TMP";
    table["22610"]="TMP";
    table["22610"]="TMP";
    table["46862"]="TGO";
    table["46862"]="TGO";
    table["46861"]="TGO";
    table["46875"]="TGO";
    table["46868"]="TGO";
    table["46870"]="TGO";
    table["49190"]="TGO";
    table["50662"]="TGO";
    table["50660"]="TGO";
    table["50664"]="TGO";
    table["50663"]="TGO";
    table["50661"]="TGO";
    table["50665"]="TGO";
    table["45494"]="TGO";
    table["45506"]="TGO";
    table["45495"]="TGO";
    table["48504"]="TGO";
    table["50880"]="TGO";
    table["38661"]="TGO";
    table["38634"]="TGO";
    table["46092"]="TGO";
    table["47212"]="TGO";
    table["30964"]="TGO";
    table["44549"]="TGO";
    table["25150"]="TGO";
    table["25149"]="TGO";
    table["43552"]="TGO";
    table["44374"]="TGO";
    table["28126"]="TGO";
    table["54036"]="TGO";
    table["54037"]="TGO";
    table["54038"]="TGO";
    table["54048"]="TGO";
    table["60045"]="TGO";
    table["60046"]="TGO";
    table["60045"]="TGO";
    table["60070"]="TGO";
    table["60069"]="TGO";
    table["60068"]="TGO";
    table["54050"]="TGO";
    table["54052"]="TGO";
    table["54051"]="TGO";
    table["52574"]="TGO";
    table["52311"]="TGO";
    table["52575"]="TGO";
    table["60068"]="TGO";
    table["60069"]="TGO";
    table["60105"]="TGO";
    table["60105"]="TGO";
    table["60105"]="TGO";
    table["60104"]="TGO";
    table["60105"]="TGO";
    table["60105"]="TGO";
    table["60104"]="TGO";
    table["60105"]="TGO";
    table["60106"]="TGO";
    table["60105"]="TGO";
    table["60105"]="TGO";
    table["53764"]="TGO";
    table["49317"]="TGO";
    table["49318"]="TGO";
    table["60022"]="TGO";
    table["51542"]="TGO";
    table["60102"]="TMP";
    table["60099"]="TMP";
    table["60102"]="TMP";
    table["60101"]="TMP";
    table["60102"]="TMP";
    table["60099"]="TMP";
    table["60102"]="TMP";
    table["46874"]="TMP";
    table["60102"]="TMP";
    table["46203"]="TGO";
    table["60068"]="TMP";
    table["22600"]="TMP";
    table["49103"]="TGO";
    table["52133"]="TGO";
    table["60240"]="TGO";
    table["46200"]="TMP";
    table["600995"]="TMP";
    table["35275"]="TGO";
    table["30828"]="TGO";
    table["53762"]="TGO";
    table["43841"]="TGO";
    table["621191"]="TGO";
    table["621192"]="TGO";
    table["621190"]="TGO";
    table["621193"]="TGO";
    table["621196"]="TGO";
    table["621195"]="TGO";
    table["621194"]="TGO";
    table["621425"]="TGO";

    var interval = null;

    function tgoTmpToCatNames(checker){
        var interval = setInterval(() => {
            if(checker)
            {
                var tab = document.querySelectorAll("[class^=MasterContentWrapper]")[0].children[0].children;
                for (var i = 0; i < tab.length; i++)
                {
                    if (i == 0)
                        continue;
                    var categoryName = tab[i].children[0].innerHTML;
                    var firstChar = categoryName.charAt(0);
                    if(categoryName.indexOf("TGO") !== -1 || categoryName.indexOf("TMP") !== -1 ){
                        clearInterval(interval);
                        break;
                    }
                    if(firstChar == ' ')
                    {
                        tab[i].children[0].innerHTML += " - TMP";
                    }
                    else
                    {
                        tab[i].children[0].innerHTML += " - TGO";
                    }

                }
            }
            else
            {
                clearInterval(interval);
                console.log("Interval for non existing  names is cleared");
            }
        }, 1000);
    }

    function tgoTmpToItems(checker){
        try{

            var items = document.getElementsByClassName("MuiDialogContent-root")[0].children[0].children[3].children;
            var menuName = document.getElementsByClassName("MuiDialogTitle-root")[0].children[0].innerHTML;
            if(menuName.indexOf("(") === -1){
                document.getElementsByClassName("MuiDialogTitle-root")[0].children[0].innerHTML +=" for branch " + document.querySelectorAll('[data-testid~="multiselect-filter-vendor-select"')[0].children[0].innerText

            }
            var textForItemNames = document.getElementsByClassName("MuiDialogContent-root")[0].children[0].children[1].innerText
            console.log("ITEM_TEST" + table[currect_branch]);
            if((typeof table[currect_branch] != "undefined") && (textForItemNames.indexOf("branches") === -1))
            {

                for( var j = 0; j< items.length; j++){
                    var itemName = items[j].children[0].children[1].innerHTML;
                    var fChar = itemName.charAt(0);
                    if(itemName.indexOf("TGO") !== -1 || itemName.indexOf("TMP") !== -1 ){
                        continue;
                    }
                    if(fChar == ' ')
                    {
                        items[j].children[0].children[1].innerHTML += " - TMP";
                    }
                    else
                    {
                        items[j].children[0].children[1].innerHTML += " - TGO";
                    }
                }
            }
        }
        catch (e){
            console.log("TMP_TGO_ITEMS_POP_UP_NOT_FOUND");
        }
    }

    interval = setInterval(() => {
        try {
            var checker = false;

            var id_1 = document.querySelectorAll('[data-testid~="multiselect-filter-vendor-select"')[0].children[0].children[0].innerText;
            currect_branch = id_1.split("-");
            currect_branch = currect_branch[0].trim();
            if(typeof table[id_1] != "undefined"){
                checker = true;
                currect_branch = id_1;
                document.querySelectorAll('[data-testid~="multiselect-filter-vendor-select"')[0].children[0].children[0].innerText += (" - " + table[id_1]);
            }else if ((typeof table[currect_branch] === "undefined"))

            {
                console.log(table[currect_branch.trim()]);
                currect_branch = null;
            }

            //tgoTmpToItems(checker);
            //tgoTmpToCatNames(checker);
            var tab = document.getElementsByClassName("MuiFormGroup-root")[0];

            if (tab)
            {
                for (var i = 0; i < tab.children.length; i++)
                {
                    var id = tab.children[i].children[1].children[0].children[0].children[0].innerHTML;
                    if(typeof table[id] != "undefined")
                    {
                        tab.children[i].children[1].children[0].children[0].children[0].innerHTML += (" - " + table[id]);
                    }

                }
            }
            var idWithTMPTGO = tab.children[0].children[1].children[0].children[0].children[0].innerHTML;
        }
        catch (e)
        {
            console.log("CATEGORY_LIST_POP_UP_NOT_FOUND");

        }

    }, 1000);

})();
